function dx = ThreeTank(t,x,u,p)
% ThreeTank A benchmark Three-Tank system for level control.
%
%   [dXdt] = ThreeTank(T,X,U,P) returns the time-derivatives of each
%       state variable given time (t), current state x(t), input u(t), 
%       and parameter set [p].
% 
%       This function implements the state equation from the nonlinear state-space:
%           dx/dt = f(t,x,u|p)
% 
%       The reactor has Nx = 3 state variables and Nu = 2 input variables
%           x = [h_1,h_2,h_3]   u = [Q_1,Q_2]
%

    % -- Constant Parameters --
    S_T = p(1); S_V = p(2);
    a_V = p(3); a_0 = p(4); g = p(5);
    
    % ---- Mass balance equations ----
    dx = [ ??? ];        % <~~ Fill with the 3 model equations in Task 1

% -- --
end

