function xplus = fsimfnc(affine_model,x0,u)
% FSIMFNC Computes the forward simulation map of an affine time-invariant system
%
%   XPLUS = FSIMFNC(AFFINE_MODEL,X0,U) given a time-invariant system 
%           x_k+1 = A x_k + B u_k + c
%       given as cell-array AFFINE-MODEL = {c, A, B}, computes the
%       forward simulation map analytically through the formula
%           x_k = A^(k-1)X0 + \sum_(j=1)^(k-1) A^(k-j-1)(B U(j) + c)
%               = F_sim(X0, U(1),...,U(k-1)), 
%     given initial state (X0) and control sequence U = (U(1),...,U(k-1)).
%

    % Retrieves the affine-model from the cell-array object.
    [c,A,B] = affine_model{:};
    
    k = size(u,2);  % The number of control actions determines the current time-index (k)
    % --

    sum_Bu_plus_c = 0;
    for j = 1:k-1
        ???;            % <~ Complete w/ summation term from the simulation map
    end

    xplus = ???;        % <~ Complete w/ the simulation map using (sum_Bu_plus_c) as the summation term

% --
end